import { EventEmitter } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { NzMessageService } from 'ng-zorro-antd/message';
import { TranslateService } from '@ngx-translate/core';
export declare class IdentityApiResourceCreateComponent {
    private nzMessageService;
    private translateService;
    apiResourceCreating: boolean;
    formGroup: FormGroup;
    ok: EventEmitter<void>;
    visible: boolean;
    visibleChange: EventEmitter<boolean>;
    constructor(nzMessageService: NzMessageService, translateService: TranslateService);
    get userClaimsControl(): FormControl;
    handleAfterClose(): void;
    handleCancel(): void;
    handleOk(): void;
}
